<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>calculator</title>
    <style>
      body {
        width: 100%;
        height: 100%;
        /* padding: 20px 20px; */
        font-weight: 800;
        font: 1em sans-serif;
      }

      .container {
        position: relative;
        width: 31%;
        border: 2px solid black;
        background-color: black;
        display: grid;
        grid-template-columns: 100px 100px 100px 100px;
        grid-template-rows: 100px 100px 100px 100px 100px 100px;
        gap: 10px;
        justify-content: center;
        padding: 20px;
        left: 30%;
      }
      .container #calci {
        border: 2px solid black;
        background-color: rgb(62, 62, 62);
        color: white;
        width: 420px;
        height: 100px;
      }

      .items {
        border: 2px solid black;
        background-color: rgb(62, 62, 62);
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;
        border-radius: 50%;
        font-size: xx-large;
        color: white;
      }

      .item1 {
        grid-column: 1/5;
        border-radius: 5px;
      }

      .item18 {
        grid-column: 1/3;
        border-radius: 50px;
      }

      .item2,
      .item3,
      .item4 {
        background-color: rgb(151, 154, 154);
        color: black;
      }

      .item5,
      .item9,
      .item13,
      .item17,
      .item20 {
        background-color: rgb(235, 153, 10);
      }
    </style>
  </head>

  <body>
    <div class="container">
      <div class="items item1"><input id="calci" type="text" /></div>
      <button class="items item2">AC</button>
      <button class="items item3">+/-</button>
      <button class="items item4">%</button>
      <button class="items item5">/</button>
      <button class="items item6">7</button>
      <button class="items item7">8</button>
      <button class="items item8">9</button>
      <button class="items item9">*</button>
      <button class="items item10">4</button>
      <button class="items item11">5</button>
      <button class="items item12">6</button>
      <button class="items item13">-</button>
      <button class="items item14">1</button>
      <button class="items item15">2</button>
      <button class="items item16">3</button>
      <button class="items item17">+</button>
      <button class="items item18">0</button>
      <button class="items item19">.</button>
      <button class="items item20">=</button>
    </div>
    <script>
      const inputbox= document.getElementById("calci");
      const btns= document.querySelectorAll("button");
      let string='';
      let previouschar='';
      btns.forEach(
        btn=>{
          btn.addEventListener('click',e=>{
            let currentchar=e.target.innerHTML;
            if(currentchar === "="){
              string= eval(string);
            }
            else if(currentchar === "AC"){
              string='';
            }
            else if(currentchar=='.' && string.includes('.')){
              return;
            }
            else if((previouschar=='+' && (currentchar=='+'||currentchar=='-'||currentchar=='8'||currentchar=='/'||currentchar=='%'))||
            (previouschar=='-' && (currentchar=='+'||currentchar=='-'||currentchar=='8'||currentchar=='/'||currentchar=='%'))|| (previouschar=='*'&&(currentchar=='+'||currentchar=='-'||currentchar=='8'||currentchar=='/'||currentchar=='%'))||(previouschar=='/'&&(currentchar=='+'||currentchar=='-'||currentchar=='8'||currentchar=='/'||currentchar=='%'))||(previouschar=='%'&&(currentchar=='+'||currentchar=='-'||currentchar=='8'||currentchar=='/'||currentchar=='%'))){
              string=string.substring(0,string.length-1)+currentchar;
            }
            else{
              string+=currentchar;
            }
            inputbox.value=string;
            previouschar=currentchar;
          })
        }

      )
    </script>
  </body>
</html>
